/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/

#ifndef WINDOW_H__
#define WINDOW_H__

/*############### Macros ####################*/
#define GSIM_STOCK_KEYPAD		"keypad"
#define GSIM_STOCK_REG		    "register"
#define GSIM_STOCK_MEMORY		"memory"
#define GSIM_STOCK_PORT			"port"
#define GSIM_STOCK_SOURCE		"source"
#define GSIM_STOCK_ABOUT		"about"
#define GSIM_STOCK_RUN			"run"
#define GSIM_STOCK_STEP			"step"
#define GSIM_STOCK_CLOSE		"small-close"
#define GSIM_STOCK_FIND			"find"


/*########### Global variables ###########*/
extern GtkWidget *gsim_appwindow;
extern GtkTooltips *gsim_tooltips;
extern GtkWidget *gsim_regflag_table;
extern GtkWidget *gsim_memview_box;
extern GtkWidget *gsim_ioview_box;
extern GtkWidget *gsim_sourceview_box;
extern GtkWidget *gsim_sourceview;
extern GtkWidget *gsim_keypad;
extern gint state_memview;
extern gint state_ioview;
extern gint state_sourceview;
extern gint state_regflag;
extern gint state_keypad;
extern GdkPixbuf *code_tracker_pixmap,*data_tracker_pixmap,*code_brpoint_pixmap;

/*########### Functions ##################*/
extern void  gsim_create_appwindow ( void) ;
extern void quit_from_main(GtkWidget *window,gpointer usr_data);

#endif
